Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973722 - Ensure Add-On installation in Thunderbird works with Shared-System-Certificates
Ensure Add-On installation in Thunderbird works with Shared-System-Certificates
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: thunderbird (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 6.5
Assigned To: Jan Horak
Desktop QE
:
Depends On:
Blocks: 544376
  Show dependency treegraph
 
Reported: 2013-06-12 10:43 EDT by Kai Engert (:kaie)
Modified: 2017-12-06 05:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 05:47:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 66161 None None None Never

  None (edit)
Description Kai Engert (:kaie) 2013-06-12 10:43:51 EDT
We must ensure that Add-On installation in Thunderbird works with Shared-System-Certificates.

As Thunderbird in RHEL 6.5 doesn't use Xulrunner, it must be patched separately.

Until an upstream fix has been made (timing unknown), we should apply the workaround patch that can be found in
https://bugzilla.redhat.com/show_bug.cgi?id=966424
Comment 1 RHEL Product and Program Management 2013-10-13 23:22:11 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Kai Engert (:kaie) 2013-10-15 16:03:06 EDT
The fix for this bug is as simple as "apply the same patch to thunderbird that is already being applied to our firefox package"

It's unfortunate that this simple change couldn't get approval.
Comment 3 Kai Engert (:kaie) 2013-10-15 16:03:49 EDT
Please reconsider for z-stream.

Customers using thunderbird and enabling shared system certs will face trouble.
Comment 4 Jan Kurik 2017-12-06 05:47:02 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.